Skip to main content

Get an applicant by ID

GEThttps://api.propexo.com/v1/applicants/:id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the applicant

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Common DataGetCurrentUnitInformation
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetApplication_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: t000123
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Common DataGetCurrentUnitInformation
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetApplication_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: 127890
    x_unit_idstring | nullnullablerequireddeprecated

    DEPRECATED: Use x_unit_id_preferred instead

    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    x_lease_idnullrequireddeprecated

    DEPRECATED: Not in use.

    Notice

    This field will always be null for YARDI

    Example: null
    x_lead_idstring | nullnullablerequired

    The external ID of the lead from the integration vendor

    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: p01346331
    x_unit_id_preferredstring[]required

    The external IDs of the units from the integration vendor that the applicant is interested in

    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: ["312441"]
    address_1_alternatenullrequired

    The first alternate address line associated with the applicant

    Notice

    This field will always be null for YARDI

    Example: null
    address_1string | nullnullablerequired

    The first address line associated with the applicant

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    InterfaceMethod
    Common DataGetCurrentUnitInformation
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: 123 Sunset Blvd
    address_2_alternatenullrequired

    The second alternate address line associated with the applicant

    Notice

    This field will always be null for YARDI

    Example: null
    address_2string | nullnullablerequired

    The second address line associated with the applicant

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    InterfaceMethod
    Common DataGetCurrentUnitInformation
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: Suite 23
    applications object[]required

    Applications that the applicant has submitted

  • Array [
  • applicant_idstringrequired
    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: cl8k2nqwe0005jsxq9ab1c2di
    application_idstringrequired
    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: cl8k2nqwe0008jsxq9ab1c2dl
    statusnulldeprecated

    DEPRECATED. Use status_raw or status_normalized

    Notice

    This field will always be null for YARDI

    Example: null
    status_rawstring | nullnullable

    The raw status associated with the applicant

    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: applicant
    status_normalizedstring | nullnullable

    The normalized status associated with the applicant. Confirm these derived values before using them in production.

    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: PENDING
    Show 2 variants
    • stringAPPROVEDDENIEDCANCELEDOTHERPENDING
    • string
    custom_data object | null
    object
  • ]
  • city_alternatenullrequired

    The alternate city associated with the applicant

    Notice

    This field will always be null for YARDI

    Example: null
    citystring | nullnullablerequired

    The city associated with the applicant

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    InterfaceMethod
    Common DataGetCurrentUnitInformation
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: Los Angeles
    country_alternatenullrequired

    The alternate country associated with the applicant

    Notice

    This field will always be null for YARDI

    Example: null
    countrystring | nullnullablerequired

    The country associated with the applicant

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    InterfaceMethod
    Common DataGetCurrentUnitInformation
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: United States
    custom_data object | nullrequired
    object
    date_of_birthstring | nullnullablerequired

    The date of birth associated with the applicant

    InterfaceMethod
    ILS Guest CardGetApplication_Login
    Example: 1992-04-18T00:00:00.000Z
    email_1string | nullnullablerequired

    The primary email address associated with the applicant

    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    email_2nullrequired

    The secondary email address associated with the applicant

    Notice

    This field will always be null for YARDI

    Example: null
    first_namestring | nullnullablerequired

    The first name associated with the applicant

    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: Maya
    self_reported_income object[]

    Self reported income sources for the applicant

  • Array [
  • amount_in_centsnumber | nullnullablerequired

    The total income of the applicant, in cents

    Notice

    This field is not currently hydrated for YARDI

    Example: 325000
    amount_rawstring | nullnullablerequired

    The total income amount of the applicant

    Notice

    This field is not currently hydrated for YARDI

    type_normalizedstring | nullnullablerequired

    The type of income of the applicant

    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: PRIMARY
    type_rawstring | nullnullablerequired

    The type of income of the applicant

    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: Applicant
  • ]
  • last_namestring | nullnullablerequired

    The last name associated with the applicant

    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: Chen
    middle_namestring | nullnullablerequired

    The middle name associated with the applicant

    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: Elena
    notesnullrequired

    Notes associated with the applicant

    Notice

    This field will always be null for YARDI

    Example: null
    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: WORK
    phone_1string | nullnullablerequired

    Primary phone number associated with the applicant

    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: 5555555555
    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: HOME
    phone_2string | nullnullablerequired

    Secondary phone number associated with the applicant

    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: 5555555554
    state_alternatenullrequired

    The alternate state associated with the applicant

    Notice

    This field will always be null for YARDI

    Example: null
    statestring | nullnullablerequired

    The state associated with the applicant

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    InterfaceMethod
    Common DataGetCurrentUnitInformation
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: CA
    type_normalizedstring | nullnullablerequired

    The normalized type associated with the applicant

    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: PRIMARY
    type_rawstring | nullnullablerequired

    The raw type associated with the applicant

    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: Applicant
    zip_alternatenullrequired

    The alternate zip code associated with the applicant

    Notice

    This field will always be null for YARDI

    Example: null
    zipstring | nullnullablerequired

    The zip code associated with the applicant

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    InterfaceMethod
    Common DataGetCurrentUnitInformation
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: 90069
    pets object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the applicant pet

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Important

    Pet data in Yardi requires additional configuration for your Propexo integration. Please contact Propexo support for more information.

    InterfaceMethod
    ILS Guest CardGetApplication_Login
    Example: cl8k2nqwe0018jsxq9ab1c2dv
    age_in_yearsnumber | nullnullablerequired

    The age in years of the applicant pet

    Important

    Pet data in Yardi requires additional configuration for your Propexo integration. Please contact Propexo support for more information.

    InterfaceMethod
    ILS Guest CardGetApplication_Login
    Example: 3
    breedstring | nullnullablerequired

    The breed of the applicant pet

    InterfaceMethod
    ILS Guest CardGetApplication_Login
    Example: Golden Retriever
    colorstring | nullnullablerequired

    The color of the applicant pet

    InterfaceMethod
    ILS Guest CardGetApplication_Login
    Example: Golden
    gender_rawstring | nullnullablerequired

    The raw value for the gender of the applicant pet

    InterfaceMethod
    ILS Guest CardGetApplication_Login
    Example: M
    is_declawednullrequired

    Whether the applicant pet is declawed

    Notice

    This field will always be null for YARDI

    Example: null
    is_fixedboolean | nullnullablerequired

    Whether the applicant pet is fixed

    InterfaceMethod
    ILS Guest CardGetApplication_Login
    Example: true
    is_service_animalboolean | nullnullablerequired

    Whether the applicant pet is a service animal

    InterfaceMethod
    ILS Guest CardGetApplication_Login
    is_trainednullrequired

    Whether the applicant pet is trained

    Notice

    This field will always be null for YARDI

    Example: null
    is_vaccinatednullrequired

    Whether the applicant pet is vaccinated

    Notice

    This field will always be null for YARDI

    Example: null
    namestring | nullnullablerequired

    The name associated with the applicant pet

    InterfaceMethod
    ILS Guest CardGetApplication_Login
    Example: Buddy
    notesnullrequired

    Notes associated with the applicant pet

    Notice

    This field will always be null for YARDI

    Example: null
    typestring | nullnullablerequired

    The type associated with the applicant pet

    InterfaceMethod
    ILS Guest CardGetApplication_Login
    Example: Dog
    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the applicant pet

    InterfaceMethod
    ILS Guest CardGetApplication_Login
    Example: 50
    custom_data object | nullrequired
    object
  • ]
  • integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum24required

    The property management system of record

    Show 13 enum values
    YARDIAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI_REST
    Example: YARDI
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_id_preferredstring[]required

    The Propexo unique identifiers for the units that the applicant is interested in

    InterfaceMethod
    ILS Guest CardGetYardiGuestActivity_Login
    ILS Guest CardGetYardiGuestActivity_Search
    Example: ["testintegration:1:312441"]
    screenings object[]required
    Notice

    This field is not currently hydrated for YARDI

  • Array [
  • idstringrequired

    The Propexo ID of the screening

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    status_rawstring | nullnullablerequired

    The status/results of the screening

    Notice

    This field is not currently hydrated for YARDI

    screening_datestring | nullnullablerequired

    The date the screening took place

    Notice

    This field is not currently hydrated for YARDI

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/applicants/:id
curl https://api.propexo.com/v1/applicants/:id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "t000123",
"x_property_id": "127890",
"x_lead_id": "p01346331",
"x_unit_id_preferred": [
"312441"
],
"address_1_alternate": null,
"address_1": "123 Sunset Blvd",
"address_2_alternate": null,
"address_2": "Suite 23",
"applications": [
{
"applicant_id": "cl8k2nqwe0005jsxq9ab1c2di",
"application_id": "cl8k2nqwe0008jsxq9ab1c2dl",
"status_raw": "applicant",
"status_normalized": "PENDING",
"custom_data": "Unknown Type: object,null"
}
],
"city_alternate": null,
"city": "Los Angeles",
"country_alternate": null,
"country": "United States",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "1992-04-18T00:00:00.000Z",
"email_1": "[email protected]",
"email_2": null,
"first_name": "Maya",
"self_reported_income": [
{
"amount_in_cents": 325000,
"amount_raw": "string",
"type_normalized": "PRIMARY",
"type_raw": "Applicant"
}
],
"last_name": "Chen",
"middle_name": "Elena",
"notes": null,
"phone_1_type": "WORK",
"phone_1": "5555555555",
"phone_2_type": "HOME",
"phone_2": "5555555554",
"state_alternate": null,
"state": "CA",
"type_normalized": "PRIMARY",
"type_raw": "Applicant",
"zip_alternate": null,
"zip": "90069",
"pets": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "cl8k2nqwe0018jsxq9ab1c2dv",
"age_in_years": 3,
"breed": "Golden Retriever",
"color": "Golden",
"gender_raw": "M",
"is_declawed": null,
"is_fixed": true,
"is_service_animal": true,
"is_trained": null,
"is_vaccinated": null,
"name": "Buddy",
"notes": null,
"type": "Dog",
"weight_in_pounds": 50,
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id_preferred": [
"testintegration:1:312441"
],
"screenings": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"status_raw": "string",
"screening_date": "string"
}
]
}
}